package samba (not installed) failed to install/upgrade: подпроцесс установлен сценарий post-removal возвратил код ошибки 1

Bug #1824844 reported by Nick on 2019-04-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
samba (Ubuntu)
Undecided
Unassigned

Bug Description

 sudo apt-get purge samba
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  attr libaio1 python-dnspython samba-dsdb-modules samba-vfs-modules tdb-tools
Для их удаления используйте «sudo apt autoremove».
Следующие пакеты будут УДАЛЕНЫ:
  samba*
Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 0 пакетов не обновлено.
Установлено или удалено не до конца 7 пакетов.
После данной операции объём занятого дискового пространства уменьшится на 11,5 MB.
Хотите продолжить? [Д/н] y
(Чтение базы данных … на данный момент установлено 240539 файлов и каталогов.)
Удаляется samba (2:4.3.11+dfsg-0ubuntu0.16.04.19) …
Вычищаются файлы настройки пакета samba (2:4.3.11+dfsg-0ubuntu0.16.04.19) …
insserv: warning: script 'K01smfpd' missing LSB tags and overrides
insserv: warning: script 'smfpd' missing LSB tags and overrides
insserv: Starting smfpd depends on grub-common and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on grub-common and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on grub-common and therefore on system facility `$all' which can not be true!
insserv: Starting smfpd depends on grub-common and therefore on system facility `$all' which can not be true!
insserv: There is a loop between service smfpd and grub-common if started
insserv: loop involving service grub-common at depth 7
insserv: loop involving service smfpd at depth 1
insserv: Starting smfpd depends on grub-common and therefore on system facility `$all' which can not be true!
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: ошибка при обработке пакета samba (--purge):
 подпроцесс установлен сценарий post-removal возвратил код ошибки 1
Обрабатываются триггеры для libc-bin (2.23-0ubuntu11) …
/sbin/ldconfig.real: /usr/lib/libbrcolm2.so.1 is not a symbolic link

/sbin/ldconfig.real: /usr/lib/libbrscandec2.so.1 is not a symbolic link

Обрабатываются триггеры для man-db (2.7.5-1) …
При обработке следующих пакетов произошли ошибки:
 samba
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: samba (not installed)
ProcVersionSignature: Ubuntu 4.4.0-145.171-generic 4.4.176
Uname: Linux 4.4.0-145-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
Date: Mon Apr 15 18:48:23 2019
ErrorMessage: подпроцесс установлен сценарий post-removal возвратил код ошибки 1
InstallationDate: Installed on 2018-11-03 (163 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
RelatedPackageVersions:
 nautilus 1:3.18.4.is.3.14.3-0ubuntu6
 gvfs 1.28.2-1ubuntu1~16.04.2
SambaClientRegression: Yes
SourcePackage: samba
Title: package samba (not installed) failed to install/upgrade: подпроцесс установлен сценарий post-removal возвратил код ошибки 1
UpgradeStatus: No upgrade log present (probably fresh install)

Nick (horrigan-frank) wrote :
Bryce Harrington (bryce) wrote :

Hi Nick,

It looks like you have installed a Samsung printer driver, which installed a smfpd driver that appears to be causing the breakage. You may need to manually disable or uninstall it in order to get your system back in functioning order.

You might also want to see if there is a newer version of the printer driver available from the vendor, or see if the printer is supported natively in Ubuntu without a printer driver.

There is some additional information about the Samsung printer drivers on this site, although it appears to no longer be actively maintained, so ymmv: https://www.bchemnet.com/suldr/index.html

Thanks Bryce, that was very helpful to uninstall Samsung printer driver.

ср, 17 апр. 2019 г., 18:35 Bryce Harrington <email address hidden>:

> Hi Nick,
>
> It looks like you have installed a Samsung printer driver, which
> installed a smfpd driver that appears to be causing the breakage. You
> may need to manually disable or uninstall it in order to get your system
> back in functioning order.
>
> You might also want to see if there is a newer version of the printer
> driver available from the vendor, or see if the printer is supported
> natively in Ubuntu without a printer driver.
>
> There is some additional information about the Samsung printer drivers
> on this site, although it appears to no longer be actively maintained,
> so ymmv: https://www.bchemnet.com/suldr/index.html
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1824844
>
> Title:
> package samba (not installed) failed to install/upgrade: подпроцесс
> установлен сценарий post-removal возвратил код ошибки 1
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/samba/+bug/1824844/+subscriptions
>

Andreas Hasenack (ahasenack) wrote :

Thanks to both, I'll mark this bug as invalid for samba then.

Changed in samba (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers